Package org.eclipse.birt.core.data

# Class DateUtil

java.lang.Object
org.eclipse.birt.core.data.DateUtil

public class DateUtil extends Object
Date util class, which is used to check whether String can be correctly converted to Date.

## Constructor Summary

Constructors
Constructor
Description
`DateUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkValid(com.ibm.icu.text.DateFormat df, String dateStr)`
Check whether dateStr can be correctly converted to Date in format of DateFormat.SHORT.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateUtil

public DateUtil()

## Method Details

### checkValid

public static boolean checkValid(com.ibm.icu.text.DateFormat df, String dateStr)
Check whether dateStr can be correctly converted to Date in format of DateFormat.SHORT. Here one point must be noticed that dateStr should firstly be able to be converted to Date.

Parameters:
  `df` -
  `dateStr` -
Returns:
  checkinfo